#pragma once
#include <Eigen/Eigen>
#include <span>

struct texture_map {
	~texture_map() {
		if (unmap)
			unmap();
	}

	bool                  read_only; // 是否只读
	size_t                row_pitch; // 行间距
	Eigen::Vector2i       size;      // 纹理大小
	std::span<std::byte>  data;      // 数据
	std::function<void()> unmap;     // 取消映射函数，用于在销毁时调用
};
